﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;
using Infragistics.Windows;
using xamGridS5ExportToExcelLargeData;
using System.Collections.ObjectModel;

namespace DataGridFieldIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<ColumnsGalore> Data;

        public MainWindow()
        {
            Data = new ObservableCollection<ColumnsGalore>();

            for (long i = 0; i < 10; i++)
            {
                Data.Add(new ColumnsGalore(i));
            }

            InitializeComponent();

            xamDataGrid1.DataSource = Data;



        }

        private void xamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            var cellValuePresenterStyle = new Style(typeof(CellValuePresenter));
            var backgroundSetter = new Setter(BackgroundProperty, Brushes.AliceBlue);
            cellValuePresenterStyle.Setters.Add(backgroundSetter);

            this.xamDataGrid1.FieldLayouts[0].Fields[0].Settings.CellValuePresenterStyle = cellValuePresenterStyle;
        }

         
    }

}
